"""
Add availability

Revision ID: ebc914b9b4f9
Revises: e9f5d58a43a9
Create Date: 2020-03-10 14:50:42.417645

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "ebc914b9b4f9"
down_revision = "e9f5d58a43a9"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "people", sa.Column("availability_expiry", sa.DateTime(), nullable=True)
    )
    op.add_column(
        "people", sa.Column("availability_indicator", sa.String(), nullable=True)
    )
    op.add_column("people", sa.Column("availability_text", sa.String(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("people", "availability_text")
    op.drop_column("people", "availability_indicator")
    op.drop_column("people", "availability_expiry")
    # ### end Alembic commands ###
